$ErrorActionPreference = 'Stop';

$packageName = 'mysql.workbench'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.mysql.com/Downloads/MySQLGUITools/mysql-workbench-community-6.3.8-win32.msi'
$url64      = 'http://cdn.mysql.com/Downloads/MySQLGUITools/mysql-workbench-community-6.3.8-winx64.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mysql.workbench*'

  checksum      = '40f36da0f3faa254dd1561e3b99c76430a2040b05aaea4bde4e31abaabd241cf'
  checksumType  = 'sha256'
  checksum64    = 'e5ef476b3b5cfd6025e5043fe93ad78021df833d9e2bdccec254a36f5cbd8228'
  checksumType64= 'sha256'

  silentArgs    = "/passive /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
